package cn.superdesk.uniorder.common.enums;

public enum SysNumberAssign {


	MATERIAL_ID("material_id", "物料编码"),
	CATEGORY_ID("category_id", "分类编码"),
	;
	private String key;
	private String desc;

	private SysNumberAssign(String key, String desc) {
		this.key = key;
		this.desc = desc;
	}

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

	public static String getOrderTypeDesc(String key) {
		for (SysNumberAssign c : SysNumberAssign.values()) {
			if (c.key == key) {
				return c.getDesc();
			}
		}
		return null;
	}
}
